<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class UnitKerja extends Model
{
    use HasFactory, SoftDeletes;

    protected $fillable = [
        'nama', 'induk_opd_id', 'tipe'
    ];

    public function DokterSpesialis(){
        return $this->hasOne(DokterSpesialis::class);
    }
    public function Dokter(){
        return $this->hasOne(Dokter::class);
    }
    public function DokterGigi(){
        return $this->hasOne(DokterGigi::class);
    }
    public function DokterGigiSpesialis(){
        return $this->hasOne(DokterGigiSpesialis::class);
    }
    public function Perawat(){
        return $this->hasOne(Perawat::class);
    }
    public function Bidan(){
        return $this->hasOne(Bidan::class);
    }
    public function TenagaKesehatanMasyarakat(){
        return $this->hasOne(TenagaKesehatanMasyarakat::class);
    }
    public function TenagaKesehatanLingkungan(){
        return $this->hasOne(TenagaKesehatanLingkungan::class);
    }
    public function TenagaGizi(){
        return $this->hasOne(TenagaGizi::class);
    }
    public function AhliLabMedik(){
        return $this->hasOne(AhliLabMedik::class);
    }
    public function TenagaTeknikBiomedik(){
        return $this->hasOne(TenagaTeknikBiomedik::class);
    }
    public function TenagaTeknikFarmasi(){
        return $this->hasOne(TenagaTeknisFarmasi::class);
    }
    public function TerapiFisik(){
        return $this->hasOne(TerapiFisik::class);
    }
    public function KeteknisanMedik(){
        return $this->hasOne(KeteknisanMedik::class);
    }
    public function Apoteker(){
        return $this->hasOne(Apoteker::class);
    }
    public function PejabatStruktural(){
        return $this->hasOne(PejabatStruktural::class);
    }
    public function TenagaPendidik(){
        return $this->hasOne(TenagaPendidik::class);
    }
    public function Manajemen(){
        return $this->hasOne(Manajemen::class);
    }
    public function Posyandu(){
        return $this->hasOne(Posyandu::class);
    }
}
